//----------------------------------------------//
//					MMGHOOK V1.0				//
//			  Based on Aru's ScriptHook			//
// Coders: Aru, TEAM 0x539, Matt Pietrek,		//
//		   Wade Brainerd						//
//----------------------------------------------//

#include "../ScriptHook/ScriptHookManager.h"
#include "CustomFiberThread.h"
#include "Scripting.h"

#include "../ScriptHook/Log.h"

#include <windows.h>
#include <string>
#include <math.h>
#include <fstream>

using namespace Scripting;


CustomFiberThreadDX::CustomFiberThreadDX()
{
	SetName("mmgHOOK CustomDX Sample"); //98 chars max
}

Scripting::Ped CustomFiberThreadDX::GetPlayerPed()
{
	Ped ped;
	GetPlayerChar(GetPlayer(), &ped);
	return ped;
}

Player CustomFiberThreadDX::GetPlayer()
{
	return ConvertIntToPlayerIndex(GetPlayerId());
}

void CustomFiberThreadDX::RunScript()
{
//---------------------------------------------------------
//	This is where the magic happends ;)
//	Greeting and have fun with another version of MMGHOOK
//	by team 0x539
//---------------------------------------------------------

	while(IsThreadAlive())
	{
		if (GetAsyncKeyState(VK_F4) & 1)
		{
			f32 px, py, pz;
			Vehicle vehicle;
			GetCharCoordinates(GetPlayerPed(), &px, &py, &pz);
			RequestModel(MODEL_INFERNUS);
			while(!HasModelLoaded(MODEL_INFERNUS)) {
				Wait(1);
			}
			CreateCar(MODEL_INFERNUS, px, py, pz, &vehicle, true);
			MarkModelAsNoLongerNeeded(MODEL_INFERNUS);
		}
		Wait(10);
	}
}
